Bug 1599875 - Black background instead of transparency on subscription related modals
Summary: Black background instead of transparency on subscription related modals
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Walden Raines
QA Contact: Roxanne Hoover
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 20:23 UTC by Walden Raines
Modified: 2019-11-05 23:28 UTC (History)
4 users (show)

Fixed In Version: foreman-1.18.0.3-1,tfm-rubygem-katello-3.7.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:57:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of issue (31.58 KB, image/png)
2018-07-10 20:23 UTC, Walden Raines
no flags Details
Fixed screenshot (216.84 KB, image/png)
2018-07-30 13:41 UTC, Roxanne Hoover
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23486 None None None 2018-07-23 15:03:23 UTC
Foreman Issue Tracker 24354 None None None 2018-07-23 13:51:35 UTC

Description Walden Raines 2018-07-10 20:23:08 UTC
Created attachment 1457908 [details]
screenshot of issue

Description of problem:

See screenshot.  Instead of a transparent backdrop on the subscription page modals there is a black background.


Version-Release number of selected component (if applicable): 6.4 


How reproducible: Always

Steps to Reproduce:
1. Go to subscriptions page
2. Open the manage manifest modal
3. Note black background instead of transparent

Actual results:

Black backdrop

Expected results:

Slightly transparent backdrop

Additional info:

Note that this happens also on the progress bar modal in the subscriptions table itself. 

It looks like this is caused by the modal dialog missing the .in class.  For some reason that class is not being applied by patternfly-react when the modal is opened.

Comment 3 Walden Raines 2018-07-23 13:51:34 UTC
Created redmine issue https://projects.theforeman.org/issues/24354 from this bug

Comment 4 Walden Raines 2018-07-23 14:35:39 UTC
This is due to using react-bootstrap 0.31.5 downstream instead of 0.32.1.  I have opened a PR to fix this on the katello side:  https://github.com/Katello/katello/pull/7559

Comment 6 pm-sat@redhat.com 2018-07-25 16:18:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24354 has been resolved.

Comment 9 Roxanne Hoover 2018-07-30 13:40:57 UTC
Verified on Snap 14

See screen shot for verification.

On the subs page modals including the manage manifest and upload manifest now have a transparent grey background vs. opaque black.

Comment 10 Roxanne Hoover 2018-07-30 13:41:25 UTC
Created attachment 1471551 [details]
Fixed screenshot

Comment 11 Bryan Kearney 2018-10-16 18:57:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.